Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Circular

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.Circular

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable, XObject

Direct Known Subclasses:
  Arc, Circle, Ellipse, Helix

    public abstract class Circular

extends ContextDependentBase
implements BSplineCurve, XObject

Nested Class Summary
`static class` | `Circular.Type`

Field Summary
`static Circular.Type` | `$TYPE`
`static SCOType.Field` | `intermediateArcs$FIELD`
`static SCOType.Field` | `plane$FIELD`
`static SCOType.Field` | `reverse$FIELD`
`static SCOType.Field` | `startingAtCenter$FIELD`

Constructor Summary
`Circular()`

Method Summary
`protected abstract float[]` | `calculateCache(GraphState gs)`
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`protected abstract int` | `getArcCount()`
`int` | `getDegree(GraphState gs)`
`float` | `getIntermediateArcs()`
`float` | `getKnot(int dim, int index, GraphState gs)`
`int` | `getPlane()`
`int` | `getSize(GraphState gs)`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`XClass` | `getXClass()`
`XData` | `getXData()`
`void` | `initXClass(XClass cls)`
`boolean` | `isRational(GraphState gs)`
`boolean` | `isReverse()`
`boolean` | `isStartingAtCenter()`
`void` | `setIntermediateArcs(float value)`
`void` | `setPlane(int value)`
`void` | `setReverse(boolean value)`
`void` | `setStartingAtCenter(boolean value)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.math.VertexSet
`getDimension`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final Circular.Type $TYPE

### intermediateArcs$FIELD

    public static final SCOType.Field intermediateArcs$FIELD

### plane$FIELD

    public static final SCOType.Field plane$FIELD

### reverse$FIELD

    public static final SCOType.Field reverse$FIELD

### startingAtCenter$FIELD

    public static final SCOType.Field startingAtCenter$FIELD

Constructor Detail

### Circular

    public Circular()

Method Detail

### calculateCache

    protected abstract float[] calculateCache(GraphState gs)

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getArcCount

    protected abstract int getArcCount()

### getDegree

    public int getDegree(GraphState gs)

  Specified by:
    `getDegree` in interface `BSplineCurve`

### getIntermediateArcs

    public float getIntermediateArcs()

### getKnot

    public float getKnot(int dim,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `KnotVector`

### getPlane

    public int getPlane()

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `VertexList`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### getXClass

    public final XClass getXClass()

  Specified by:
    `getXClass` in interface `XObject`

### getXData

    public final XData getXData()

  Specified by:
    `getXData` in interface `XObject`

### initXClass

    public final void initXClass(XClass cls)

  Specified by:
    `initXClass` in interface `XObject`

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### isReverse

    public boolean isReverse()

### isStartingAtCenter

    public boolean isStartingAtCenter()

### setIntermediateArcs

    public void setIntermediateArcs(float value)

### setPlane

    public void setPlane(int value)

### setReverse

    public void setReverse(boolean value)

### setStartingAtCenter

    public void setStartingAtCenter(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD